himalaya(1)

NAME
himalaya - CLI to manage emails.

SYNOPSIS
himalaya [-c|--config] [-a|--account] [--disable-cache] [-o|--output] [-C|--color] [-f|--folder] [-h|--help] [-V|--version] [subcommands]

DESCRIPTION
CLI to manage emails.

OPTIONS

-c, --config=PATH
    Set a custom configuration file path

-a, --account=STRING
    Set the account

--disable-cache
    Disable any sort of cache. The action depends on the command it applies on.

-o, --output=FMT [default: plain]
    Set the output format
    [possible values: plain, json]

-C, --color=WHEN [default: auto]
    This flag controls when to use colors. The default setting is 'auto', which means himalaya will try to guess when to use colors. For example, if himalaya is printing to a terminal, then it will use colors, but if it is redirected to a file or a pipe, then it will suppress color output. himalaya will suppress color output in some other circumstances as well. For example, if the TERM environment variable is not set or set to 'dumb', then himalaya will not use colors. The possible values for this flag are: never Colors will never be used. auto The default. himalaya tries to be smart. always Colors will always be used regardless of where output is sent. ansi Like 'always', but emits ANSI escapes (even in a Windows console).
    [possible values: never, auto, always, ansi]

-f, --folder=SOURCE
    Set the source folder

-h, --help
    Print help (see a summary with '-h')

-V, --version
    Print version

SUBCOMMANDS

himalaya-completion(1)
    Generates the completion script for the given shell

himalaya-man(1)
    Generate all man pages to the given directory

himalaya-accounts(1)
    Manage accounts

himalaya-folders(1)
    Manage folders

himalaya-flags(1)
    Handles email flags

himalaya-template(1)
    Handles email templates

himalaya-attachments(1)
    Downloads all emails attachments

himalaya-list(1)
    List envelopes

himalaya-search(1)
    Filter envelopes matching the given query

himalaya-sort(1)
    Sort envelopes by the given criteria and matching the given query

himalaya-write(1)
    Write a new email

himalaya-send(1)
    Send a raw email

himalaya-save(1)
    Save a raw email

himalaya-read(1)
    Read text bodies of emails

himalaya-reply(1)
    Answer to an email

himalaya-forward(1)
    Forward an email

himalaya-copy(1)
    Copy emails to the given folder

himalaya-move(1)
    Move emails to the given folder

himalaya-delete(1)
    Delete emails

himalaya-notify(1)
    Notifies when new messages arrive in the given folder

himalaya-watch(1)
    Watches IMAP server changes

himalaya-help(1)
    Print this message or the help of the given subcommand(s)

VERSION
v0.9.0

AUTHORS
soywod <clement.douin@posteo.net>